Subject: [netmod] Question to inet:dscp

From: Gregory Mirsky <[email-masked]>
Date: Thu, 19 Nov 2015 23:50:32 +0000

Dear All,
I believe I have couple question to how inet:dscp defined and would greatly appreciate your guidance, suggestions and help.
I’ve found int:dscp definition as:
    typedef dscp {
      type uint8 {
        range "0..63";
      }
      description
        "The dscp type represents a Differentiated Services Code Point
      that may be used for marking packets in a traffic stream.
      In the value set and its semantics, this type is equivalent
      to the Dscp textual convention of the SMIv2.";
      reference
        "RFC 3289<http://www.ietf.org/rfc/rfc3289.txt>: Management Information Base for the Differentiated
                  Services Architecture
         RFC 2474<http://www.ietf.org/rfc/rfc2474.txt>: Definition of the Differentiated Services Field
                  (DS Field) in the IPv4 and IPv6 Headers
         RFC 2780<http://www.ietf.org/rfc/rfc2780.txt>: IANA Allocation Guidelines For Values In
                  the Internet Protocol and Related Headers";

    }
Couple notes on the definition:

·         DSCP defined in RFC 2474 and RFC 3260. RFC 3260 is not listed as reference;

·         Though DiffServ MIB, defined in RFC 3289, had defined DSCP values to be in 0…63 range, RFC 3260 explicitly differentiated standardized codepoints from unknown or improperly mapped DSCP codepoints. The fact is that standardized DSCP codepoints do not represent contiguous range as recorded in IANA DSCP Registry<http://www.iana.org/assignments/dscp-registry/dscp-registry.xhtml>.

·         And here’s my question Should inet:dscp be defined based exclusively on standardized DSCP codepoints as other values are non-standard?

Regards,
        Greg

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 20 Nov 2015 09:47:41 +0100

> ·         And here’s my question Should inet:dscp be defined based exclusively on standardized DSCP codepoints as other values are non-standard?

The inet:dscp type models the 6-bit DSCP value, it does not
distinguish between standard and experimental values within the
codepoint space.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>